DO $$
	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=3008) THEN
			RETURN;
	END IF;

	BEGIN

		DROP INDEX public."IDX_EventDetails_CalendarId_RecurringId";
		
		EXCEPTION
			WHEN OTHERS THEN RAISE NOTICE 'Alter EventDetails error.';
		END;
	END;
$$